Skip to content
Get startedWebsite

List transactions by organization

GET/api/v1/transactions

List transactions by organization

Query ParametersExpand Collapse
organization_id: string
formatuuid
page: optional number
minimum1
per_page: optional number
minimum1
maximum100
ReturnsExpand Collapse
data: array of object { id, amount, created_at, 10 more }
id: string
formatuuid
amount: number

Amount in minor units

created_at: string
formatdate-time
currency: string
from_account_id: string
formatuuid
organization_id: string
formatuuid
status: "pending" or "posted" or "failed"
One of the following:
"pending"
"posted"
"failed"
to_account_id: string
formatuuid
transaction_kind: "deposit" or "withdraw" or "transfer"
One of the following:
"deposit"
"withdraw"
"transfer"
updated_at: string
formatdate-time
environment: optional string
failure_reason: optional string
idempotency_key: optional string

List transactions by organization

curl https://accounts-service-staging.up.railway.app/api/v1/transactions \
    -H "X-API-Key: $RAILS_API_KEY"
{
  "data": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "amount": 0,
      "created_at": "2019-12-27T18:11:19.117Z",
      "currency": "currency",
      "from_account_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "organization_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "status": "pending",
      "to_account_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "transaction_kind": "deposit",
      "updated_at": "2019-12-27T18:11:19.117Z",
      "environment": "environment",
      "failure_reason": "failure_reason",
      "idempotency_key": "idempotency_key"
    }
  ],
  "pagination": {
    "page": 1,
    "per_page": 1,
    "total_count": 0,
    "total_pages": 0
  }
}
Returns Examples
{
  "data": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "amount": 0,
      "created_at": "2019-12-27T18:11:19.117Z",
      "currency": "currency",
      "from_account_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "organization_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "status": "pending",
      "to_account_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "transaction_kind": "deposit",
      "updated_at": "2019-12-27T18:11:19.117Z",
      "environment": "environment",
      "failure_reason": "failure_reason",
      "idempotency_key": "idempotency_key"
    }
  ],
  "pagination": {
    "page": 1,
    "per_page": 1,
    "total_count": 0,
    "total_pages": 0
  }
}